commit:     f3d4ed9d3748575bbfceb4629dc7657b1c3f8b0c
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 19:28:26 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 19:28:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3d4ed9d

dev-lua/penlight: disable test for non-existent command

Closes: https://bugs.gentoo.org/763501
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/penlight/penlight-1.9.2-r101.ebuild | 17 ++++++++++++-----
 dev-lua/penlight/penlight-1.9.2.ebuild      | 13 ++++++++++---
 2 files changed, 22 insertions(+), 8 deletions(-)

diff --git a/dev-lua/penlight/penlight-1.9.2-r101.ebuild 
b/dev-lua/penlight/penlight-1.9.2-r101.ebuild
index 1b88d0b0c28..8db997ae866 100644
--- a/dev-lua/penlight/penlight-1.9.2-r101.ebuild
+++ b/dev-lua/penlight/penlight-1.9.2-r101.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -34,14 +34,21 @@ BDEPEND="
 
 HTML_DOCS=( "docs/." )
 
+src_prepare() {
+       default
+
+       # This is a demo app, not a real test
+       rm tests/test-app.lua || die
+
+       # Remove test for executing a non-existent command
+       sed -e '/most-likely-nonexistent-command/d' -i tests/test-utils3.lua || 
die
+}
+
 lua_src_test() {
-       ${ELUA} run.lua || die
+       "${ELUA}" run.lua || die
 }
 
 src_test() {
-       # This is a demo app, not a real test
-       rm tests/test-app.lua
-
        lua_foreach_impl lua_src_test
 }
 

diff --git a/dev-lua/penlight/penlight-1.9.2.ebuild 
b/dev-lua/penlight/penlight-1.9.2.ebuild
index fee4959b0ee..e334e61a743 100644
--- a/dev-lua/penlight/penlight-1.9.2.ebuild
+++ b/dev-lua/penlight/penlight-1.9.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -32,10 +32,17 @@ BDEPEND="
 
 HTML_DOCS=( "docs/." )
 
-src_test() {
+src_prepare() {
+       default
+
        # This is a demo app, not a real test
-       rm tests/test-app.lua
+       rm tests/test-app.lua || die
 
+       # Remove test for executing a non-existent command
+       sed -e '/most-likely-nonexistent-command/d' -i tests/test-utils3.lua || 
die
+}
+
+src_test() {
        lua run.lua || die
 }
 

Reply via email to